Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture.controllers
Class SelectionController

    java.lang.Object
      teamdev.jxcapture.controllers.SelectionController

Direct Known Subclasses:
  ObjectOnScreenController, RegionController

public abstract class SelectionController
extends java.lang.Object

The abstract class represents the controller for processing the mouse and keyboard events.

Field Summary
`protected CaptureListener` | `captureListener`

Constructor Summary
`protected` | `SelectionController()`

Method Summary
`void` | `activate(CaptureListener captureListener)` Activates the object for listening to the mouse and key actions.
`protected void` | `fireCancelAction()`
`protected void` | `fireCompleteAction()`
`abstract SelectionPainter` | `getSelectionPainter()` Returns a `SelectionPainter` object.
`abstract boolean` | `onKeyAction(java.awt.event.KeyEvent event)` Invoked when a key action has occurred.
`abstract boolean` | `onMouseAction(java.awt.event.MouseEvent event)` Invoked when a mouse action has occurred.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### captureListener

    protected CaptureListener captureListener

Constructor Detail

### SelectionController

    protected SelectionController()

Method Detail

### onKeyAction

    public abstract boolean onKeyAction(java.awt.event.KeyEvent event)

  Invoked when a key action has occurred.

  Returns:
    If need repaint returns true, otherwise - false

### onMouseAction

    public abstract boolean onMouseAction(java.awt.event.MouseEvent event)

  Invoked when a mouse action has occurred.

  Returns:
    If need repaint returns true, otherwise - false

### getSelectionPainter

    public abstract SelectionPainter getSelectionPainter()

  Returns a `SelectionPainter` object.

### activate

    public void activate(CaptureListener captureListener)

  Activates the object for listening to the mouse and key actions.

### fireCompleteAction

    protected void fireCompleteAction()

### fireCancelAction

    protected void fireCancelAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD